org.keycloak.saml.processing.core.parsers.util

## Class SAML11ParserUtil

- java.lang.Object
- - org.keycloak.saml.processing.core.parsers.util.SAML11ParserUtil

-     public class SAML11ParserUtil
      extends Object

  Utility for parsing SAML 1.1 payload
  Since:
    Jun 23, 2011
  Author:
    Anil.Saldhana@redhat.com

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SAML11ParserUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `parseAttributeType(XMLEventReader xmlEventReader, StartElement startElement, String rootTag, SAML11AttributeType attributeType)` Parse an `SAML11AttributeType`
    `static Object` | `parseAttributeValue(XMLEventReader xmlEventReader)` Parse Attribute value
    `static SAML11AuthenticationStatementType` | `parseAuthenticationStatement(XMLEventReader xmlEventReader)` Parse the AuthnStatement inside the assertion
    `static KeyInfoType` | `parseKeyInfo(XMLEventReader xmlEventReader)`
    `static RSAKeyValueType` | `parseRSAKeyValue(XMLEventReader xmlEventReader)`
    `static SAML11AttributeType` | `parseSAML11Attribute(XMLEventReader xmlEventReader)` Parse a `SAML11AttributeType`
    `static SAML11AttributeQueryType` | `parseSAML11AttributeQuery(XMLEventReader xmlEventReader)` Parse the `SAML11AttributeQueryType`
    `static SAML11AttributeStatementType` | `parseSAML11AttributeStatement(XMLEventReader xmlEventReader)` Parse an `SAML11AttributeStatementType`
    `static SAML11AuthenticationQueryType` | `parseSAML11AuthenticationQuery(XMLEventReader xmlEventReader)` Parse the `SAML11AttributeQueryType`
    `static SAML11AuthorizationDecisionQueryType` | `parseSAML11AuthorizationDecisionQueryType(XMLEventReader xmlEventReader)` Parse the `SAML11AuthorizationDecisionQueryType`
    `static SAML11AuthorizationDecisionStatementType` | `parseSAML11AuthorizationDecisionStatement(XMLEventReader xmlEventReader)`
    `static SAML11ConditionsType` | `parseSAML11Conditions(XMLEventReader xmlEventReader)` Parse `SAML11ConditionsType`
    `static SAML11SubjectConfirmationType` | `parseSAML11SubjectConfirmation(XMLEventReader xmlEventReader)` Parse the `SAML11SubjectConfirmationType`
    `static SubjectConfirmationDataType` | `parseSubjectConfirmationData(XMLEventReader xmlEventReader)` Parse the `SubjectConfirmationDataType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SAML11ParserUtil

          public SAML11ParserUtil()

  - ### Method Detail

    - #### parseAuthenticationStatement

          public static SAML11AuthenticationStatementType parseAuthenticationStatement(XMLEventReader xmlEventReader)
                                                                                throws ParsingException

      Parse the AuthnStatement inside the assertion
      Parameters:
        `xmlEventReader` -
      Returns:
      Throws:
        `ParsingException`

    - #### parseSAML11SubjectConfirmation

          public static SAML11SubjectConfirmationType parseSAML11SubjectConfirmation(XMLEventReader xmlEventReader)
                                                                              throws ParsingException

      Parse the `SAML11SubjectConfirmationType`
      Parameters:
        `xmlEventReader` -
      Returns:
      Throws:
        `ParsingException`

    - #### parseSubjectConfirmationData

          public static SubjectConfirmationDataType parseSubjectConfirmationData(XMLEventReader xmlEventReader)
                                                                          throws ParsingException

      Parse the `SubjectConfirmationDataType`
      Parameters:
        `xmlEventReader` -
      Returns:
      Throws:
        `ParsingException`

    - #### parseSAML11AttributeStatement

          public static SAML11AttributeStatementType parseSAML11AttributeStatement(XMLEventReader xmlEventReader)
                                                                            throws ParsingException

      Parse an `SAML11AttributeStatementType`
      Parameters:
        `xmlEventReader` -
      Returns:
      Throws:
        `ParsingException`

    - #### parseSAML11Attribute

          public static SAML11AttributeType parseSAML11Attribute(XMLEventReader xmlEventReader)
                                                          throws ParsingException

      Parse a `SAML11AttributeType`
      Parameters:
        `xmlEventReader` -
      Returns:
      Throws:
        `ParsingException`

    - #### parseAttributeType

          public static void parseAttributeType(XMLEventReader xmlEventReader,
                                                StartElement startElement,
                                                String rootTag,
                                                SAML11AttributeType attributeType)
                                         throws ParsingException

      Parse an `SAML11AttributeType`
      Parameters:
        `xmlEventReader` -
      Throws:
        `ParsingException`

    - #### parseAttributeValue

          public static Object parseAttributeValue(XMLEventReader xmlEventReader)
                                            throws ParsingException

      Parse Attribute value
      Parameters:
        `xmlEventReader` -
      Returns:
      Throws:
        `ParsingException`

    - #### parseSAML11AuthorizationDecisionStatement

          public static SAML11AuthorizationDecisionStatementType parseSAML11AuthorizationDecisionStatement(XMLEventReader xmlEventReader)
                                                                                                    throws ParsingException

      Throws:
        `ParsingException`

    - #### parseSAML11Conditions

          public static SAML11ConditionsType parseSAML11Conditions(XMLEventReader xmlEventReader)
                                                            throws ParsingException

      Parse `SAML11ConditionsType`
      Parameters:
        `xmlEventReader` -
      Returns:
      Throws:
        `ParsingException`

    - #### parseKeyInfo

          public static KeyInfoType parseKeyInfo(XMLEventReader xmlEventReader)
                                          throws ParsingException

      Throws:
        `ParsingException`

    - #### parseRSAKeyValue

          public static RSAKeyValueType parseRSAKeyValue(XMLEventReader xmlEventReader)
                                                  throws ParsingException

      Throws:
        `ParsingException`

    - #### parseSAML11AttributeQuery

          public static SAML11AttributeQueryType parseSAML11AttributeQuery(XMLEventReader xmlEventReader)
                                                                    throws ParsingException

      Parse the `SAML11AttributeQueryType`
      Parameters:
        `xmlEventReader` -
      Returns:
      Throws:
        `ParsingException`

    - #### parseSAML11AuthenticationQuery

          public static SAML11AuthenticationQueryType parseSAML11AuthenticationQuery(XMLEventReader xmlEventReader)
                                                                              throws ParsingException

      Parse the `SAML11AttributeQueryType`
      Parameters:
        `xmlEventReader` -
      Returns:
      Throws:
        `ParsingException`

    - #### parseSAML11AuthorizationDecisionQueryType

          public static SAML11AuthorizationDecisionQueryType parseSAML11AuthorizationDecisionQueryType(XMLEventReader xmlEventReader)
                                                                                                throws ParsingException

      Parse the `SAML11AuthorizationDecisionQueryType`
      Parameters:
        `xmlEventReader` -
      Returns:
      Throws:
        `ParsingException`

Copyright © 2021 JBoss by Red Hat. All rights reserved.